Subject: bug#36859: Customizable fit-window-to-buffer

From: Juri Linkov <[email-masked]>
Date: Fri, 09 Aug 2019 00:39:20 +0300

>> I see there is a hook already in vc: 'vc-post-command-functions'.
>> But it's unclear how to use it to call 'shrink-window-if-larger-than-buffer'
>> from the hook only on vc-log and vc-diff commands.
>>
>> Maybe vc-log-internal-common and vc-diff-internal could provide new hooks,
>> e.g. vc-log-post-command-functions and vc-diff-post-command-functions.
>
> What's the scope of a command?  When it invokes an asynchonous process
> does it end when that process starts or when it finishes?  Since I
> think that it's the former (how else could we then distiniguish "this"
> command from the "last" command), the idiom "post-command" appears
> inappropriate here.

Indeed vc-post-command-functions is a misnomer, and should have been
called vc-post-process-functions.